package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;
import java.util.List;

@Data
@EqualsAndHashCode
public class TempCouponVo implements  Cloneable{
    @ApiModelProperty(position = 1, value = "券名称")
    private String name;
    @ApiModelProperty(position = 3, value = "spuId数组")
    private List<String> spuIdList;
    @ApiModelProperty(position = 4, value = "类型【0-无限|1-一次】")
    private String type;
    @ApiModelProperty(position = 5, value = "优惠价格")
    private BigDecimal value;
    @ApiModelProperty(position = 6, value = "券组id[领券用]")
    private String storeCouponId;
    @ApiModelProperty(position = 7, value = "是否默认用券")
    private int isDefault;
    @ApiModelProperty(position = 8, value = "券vo")
    private GoblinStoreCouponVo vo;

    private static final TempCouponVo obj = new TempCouponVo();

    public static TempCouponVo getNew() {
        try {
            return (TempCouponVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new TempCouponVo();
        }
    }
}
